Bug 76334 - Incorrect error message.
Incorrect error message.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: fileutils (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-20 03:18 EDT by P Jones
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-22 10:00:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description P Jones 2002-10-20 03:18:13 EDT
Description of Problem:
[mouse@mouse 90s_Pop_and_Alternative]$ ls -alh Sting?-?Y*
-rw-rw-rw-    1 109      bin          3.4M Dec 13  1998
Sting?-?You?Still?Touch?Me.mp3
[mouse@mouse 90s_Pop_and_Alternative]$ rm -v Sting?-?Y*
rm: cannot remove `Sting\267-\267You\267Still\267Touch\267Me.mp3': Invalid or
incomplete multibyte or wide character
[mouse@mouse 90s_Pop_and_Alternative]$ id
uid=511(mouse) gid=500(mouse) groups=500(mouse)
[mouse@mouse 90s_Pop_and_Alternative]$


[mouse@mouse mouse]$ rpm -qf $(which rm )
fileutils-4.1.9-11

Correct error message is "Operation not permitted"
Comment 1 Tim Waugh 2002-10-20 06:36:56 EDT
If you do 'touch foo; rm -f foo' in the same directory does that work?  I wonder
if 'Operation not permitted' really is expected here.
Comment 2 Tim Waugh 2002-10-20 06:51:48 EDT
Also what filesystem is this?  I can't reproduce the problem here on ext3.  I'd
like to see the output of:

a) locale
b) strace rm -v Sting?-?Y*
Comment 3 P Jones 2002-10-20 13:18:25 EDT
[mouse@mouse 90s_Pop_and_Alternative]$ touch foo ; rm foo
[mouse@mouse 90s_Pop_and_Alternative]$ ls -aldh .
drwxrwxrwt    2 109      bin          4.0K Oct 20 13:10 .
[mouse@mouse 90s_Pop_and_Alternative]$ su -
Password:
[root@mouse root]# cd /stuf/music/90s_Pop_and_Alternative
[root@mouse 90s_Pop_and_Alternative]# touch foo
[root@mouse 90s_Pop_and_Alternative]# chmod a=rw foo
[root@mouse 90s_Pop_and_Alternative]# exit
[mouse@mouse 90s_Pop_and_Alternative]$ rm foo
rm: cannot remove `foo': Operation not permitted
[mouse@mouse 90s_Pop_and_Alternative]$

Comment 4 P Jones 2002-10-20 15:07:34 EDT
Bah! Sorry about that.

$locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE=C
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=



$ strace rm -v Sting?-?Y*
execve("/bin/rm", ["rm", "-v", "Sting?-?You?Still?Touch?Me.mp3"], [/* 30 
vars */]) = 0
uname({sys="Linux", node="mouse.raleigh.ibm.com", ...}) = 0
brk(0)                                  = 0x804e648
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or 
directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=67899, ...}) = 0
old_mmap(NULL, 67899, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40013000
close(3)                                = 0
open("/lib/libacl.so.1", O_RDONLY)      = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\30\24\0"..., 
1024) = 1024
fstat64(3, {st_mode=S_IFREG|0644, st_size=301103, ...}) = 0
old_mmap(NULL, 20916, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x40024000
mprotect(0x40029000, 436, PROT_NONE)    = 0
old_mmap(0x40029000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 
0x5000) = 0x40029000
close(3)                                = 0
open("/lib/i686/libc.so.6", O_RDONLY)   = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\220Y\1"..., 1024) 
= 1024
fstat64(3, {st_mode=S_IFREG|0755, st_size=1395734, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 
0) = 0x4002a000
old_mmap(0x42000000, 1239844, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 
0x42000000
mprotect(0x42126000, 35620, PROT_NONE)  = 0
old_mmap(0x42126000, 20480, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 
3, 0x126000) = 0x42126000
old_mmap(0x4212b000, 15140, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4212b000
close(3)                                = 0
open("/lib/libattr.so.1", O_RDONLY)     = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\320\n\0"..., 
1024) = 1024
fstat64(3, {st_mode=S_IFREG|0644, st_size=31255, ...}) = 0
old_mmap(NULL, 9952, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x4002b000
mprotect(0x4002d000, 1760, PROT_NONE)   = 0
old_mmap(0x4002d000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 
0x1000) = 0x4002d000
close(3)                                = 0
munmap(0x40013000, 67899)               = 0
brk(0)                                  = 0x804e648
brk(0x804f648)                          = 0x804f648
brk(0x8050000)                          = 0x8050000
open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=30310160, ...}) = 0
mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 3, 0) = 0x4002e000
close(3)                                = 0
ioctl(0, SNDCTL_TMR_TIMEBASE, {B38400 opost isig icanon echo ...}) = 0
brk(0x8051000)                     = 0x8051000
brk(0x8052000)                          = 0x8052000
lstat64("Sting?-?You?Still?Touch?Me.mp3", {st_mode=S_IFREG|0666, 
st_size=3612026, ...}) = 0
access("Sting?-?You?Still?Touch?Me.mp3", W_OK) = 0
unlink("Sting?-?You?Still?Touch?Me.mp3") = -1 EPERM (Operation not 
permitted)
brk(0x8053000)                          = 0x8053000
open("/usr/share/locale/locale.alias", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=2601, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) 
= 0x40013000
read(3, "# Locale name alias data base.\n#"..., 4096) = 2601
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x40013000, 4096)                = 0
open("/usr/share/locale/en_US.UTF-8/LC_MESSAGES/fileutils.mo", O_RDONLY) = 
-1 ENOENT (No such file or directory)
open("/usr/share/locale/en_US.utf8/LC_MESSAGES/fileutils.mo", O_RDONLY) = 
-1 ENOENT (No such file or directory)
open("/usr/share/locale/en_US/LC_MESSAGES/fileutils.mo", O_RDONLY) = -1 
ENOENT (No such file or directory)
open("/usr/share/locale/en.UTF-8/LC_MESSAGES/fileutils.mo", O_RDONLY) = -1 
ENOENT (No such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/fileutils.mo", O_RDONLY) = -1 
ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/fileutils.mo", O_RDONLY) = -1 
ENOENT (No
such file or directory)
open("/usr/lib/gconv/gconv-modules.cache", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=20866, ...}) = 0
mmap2(NULL, 20866, PROT_READ, MAP_SHARED, 3, 0) = 0x40013000
close(3)                                = 0
write(2, "rm: ", 4rm: )                     = 4
write(2, "cannot remove `Sting\\267-\\267You"..., 61cannot remove 
`Sting\267-\267You\267Still\267Touch\267Me.mp3') = 61
brk(0x8054000)                          = 0x8054000
open("/usr/share/locale/en_US.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 
ENOENT
(No such file or directory)
open("/usr/share/locale/en_US.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 
ENOENT (No such file or directory)
open("/usr/share/locale/en_US/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT 
(No such file or directory)
open("/usr/share/locale/en.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 
ENOENT (No such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 
ENOENT (No
such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No 
such
file or directory)
write(2, ": Invalid or incomplete multibyt"..., 51: Invalid or incomplete 
multibyte or wide character) = 51
write(2, "\n", 1
)                       = 1
_exit(1)                                = ?

Comment 5 Tim Waugh 2002-10-22 10:00:31 EDT
Fixed package is fileutils-4.1.9-12.

Note You need to log in before you can comment on or make changes to this bug.